[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomGroupBox.UpdateOpaque

Updates the control style when the parent background is used.

## Declaration

Source position: stdctrls.pp line 170

`protected procedure TCustomGroupBox.UpdateOpaque;`

## Description

UpdateOpaque is a method used to update the control style flags when the parent background is used for the control. When the ParentBackground property is set to True, ControlStyle is updated to remove the csOpaque flag. If ParentBackground is not enabled, ControlStyle is updated to include the csOpaque flag.

## See also

TCustomGroupBox.ParentBackground |  | Indicates if the control uses the background from the parent.